package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsOperationSmtp;
import com.ruoyi.system.domain.vo.ZsOperationSmtpVo;
import com.ruoyi.system.domain.bo.ZsOperationSmtpBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 邮件配置Service接口
 *
 * @author 王强
 * @date 2025-05-09
 */
public interface IZsOperationSmtpService {

    /**
     * 查询邮件配置
     */
    ZsOperationSmtpVo queryById(Long id);

    /**
     * 查询邮件配置列表
     */
    TableDataInfo<ZsOperationSmtpVo> queryPageList(ZsOperationSmtpBo bo, PageQuery pageQuery);

    /**
     * 查询邮件配置列表
     */
    List<ZsOperationSmtpVo> queryList(ZsOperationSmtpBo bo);

    /**
     * 新增邮件配置
     */
    Boolean insertByBo(ZsOperationSmtpBo bo);

    /**
     * 修改邮件配置
     */
    Boolean updateByBo(ZsOperationSmtpBo bo);

    /**
     * 校验并批量删除邮件配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
